;--------------------------------------------------------------------------
; Titel       : Control SLIDER1 
; File        : CTRL_SLIDER1.INC
;--------------------------------------------------------------------------
; Compiler    : eigerScript
;
; System      : eigergraphics.com; FOX embedded computer
;
; Version     : Initialversion: 21.04.2011
;
; Update	: 18.05.2011, GmD:		- Slider Label at Top and Bottom
;						- CallBack also after Slider1.Redraw
;		  08.06.2011, GmD:		- Bugfix Slider1_Label.$ positioning / array
;		  20.06.2011, GmD:		- New knob picture2 - nr. 4 to 7
;		  21.06.2011, GmD:		- EVE.Load_Transparence() & EVE.Process_Transparence() removed - not working properly with them
;
; Autor       : GmD
;
;--------------------------------------------------------------------------
; (c) 2005-2011    S-TEC electronics AG,  CH-6314 Untergeri; 041 754 50 14
;--------------------------------------------------------------------------

;*_____________________________________________________________________________
;*
;*	Sample code for initialisation of one slider - 
;*_____________________________________________________________________________
;BEGINVIEW
;...
;	; INIT CallBackAddress - output of "Slider1_SliderNr" and "Slider1_Value"
;	Load.CallBackAddress (Slider1.CALLBACK.L,Slider1.Update )	; init only once!
;
;	Timer.Init()
;	; same look for all sliders	/ default values if not populated
;	Slider1_ValueActive	:= yellow	; init only once!
;	Slider1_ValueRef	:= white	; init only once!
;	Slider1_KnobSize	:= 3 		; init only once!
;
;	; example for slider nr. 1
;	Slider1_SliderNr := 1		; give the slider a number: 1 .. 20
;	Slider1_Label.$ := 'OP76 PWM'		; label text. visible @ top and/or bottom
;	Slider1_BGColor:= steelblue		; back ground color
;	Slider1_X := 100			; ATTENTION: this is the slot x position
;	Slider1_Y :=  80			; ATTENTION: this is the slot y position
;	Slider1_H := 330			; slot heigth
;	Slider1_I := 0			; init position of knob (between min and max)
;	Slider1_Value_Min := 0		; ref value bottom = min value
;	Slider1_Value_Max := 1000		; ref value top = max value
;	Slider1_DecimalPlace = 1		; insert a decimal point 1000 -> 100.0
;	Slider1_Unit.$	:= ' %'	; unit - Examples: ms, s, %, 
;	CallSubroutine(Slider1.Init)	; install slider
;
;	;... install up to 20 slideres by incremet Slider1_SliderNr := 2 .. 20
;
;	Timer.TableEnable()			; enable timer once to slider :-)
;
;LOOP
;ENDLOOP
;ENDVIEW
; _____________________________________________________________________________
;
;	Example of CallBackAddress - copy this code to your subroutines
; _____________________________________________________________________________
;
;SUB Slider1.Update
;	IF	Slider1_SliderNr == 1 THEN
;		; Check FOX version
;		eI.R00 := eI.HardwareCode / 0x100
;		IF eI.R00 == 0 THEN	; FOXS-Family
;		ELSIF eI.R00 == 2 THEN	; FOXR-Family
;		ELSIF eI.R00 == 3 THEN	; FOX57-Family
;			eI.DA_P76 := Slider1_Value * 3			; Set PWM (FOX57)
;		ELSIF eI.R00 == 4 THEN	; FOX70-Family
;			InOut.PWM_Out(Output_OP76,Slider1_Value)		; Set PWM (FOX70)
;		ELSIF eI.R00 == 5 THEN	; F57C-Family
;			eI.DA_P76 := Slider1_Value * 3			; Set PWM (FOX57)
;		ENDIF
;	ENDIF
;ENDSUB


; D E K L A R A T I O N E N _____________________________________________________

; Do not change this values --------------------------------------------------------------------------------------------------------------------------------
INTEGER	Slider1_TimerNr = 7					; Used timer - do not use this timer for other purposes
CONST		Slider1_RefreshRate = 30				; Timer value in [ms] to update slider drawing
LONG		Slider1.CALLBACK.L	 = -1				; CallBackAdresse
CONST		Slider1_MaxSliders = 20				; Max slider must be set to init an array
INTEGER	[1..Slider1_MaxSliders, 0..7]	Slider1.Array	; contains individual data fot diffrent slider looks
STRING[600]	Slider1_LabelArray					; contains the label for all sliders
STRING[100]	Slider1_UnitArray					; contains the units for all sliders
INTEGER	Slider1_First = 1					; First init flag
INTEGER	Slider1_MouseY = 0					; touch position
INTEGER	Slider1_SliderNrOld = -1				; redraw the slider element only if the position has changed
INTEGER	Slider1_TestA	= 0					; internal test value
INTEGER	Slider1_TestB	= 0					; internal test value
INTEGER	Slider1_ScaleWidth	= 0				; holds the text width in pixel
INTEGER	Slider1_ScaleWidthMin= 0				; holds the text width in pixel
INTEGER	Slider1_ScaleWidthMax= 0				; holds the text width in pixel
STRING[25]	Slider1_Value.$	= 'GmD'			; temp string for labeling
CONST		Slider1_InvisibleX = 800				; invisible display point to load slider knob for Display.CopyWindow() to new slider position
CONST		Slider1_InvisibleY = 100				; invisible display point to load slider knob for Display.CopyWindow() to new slider position
STRING[40]	Slider1_KnobPath.$ = 'C:\SLIDERS\'			; picture of slider knob is stored here
INTEGER	Slider1_KnobW = 0					; size of knob picture width
INTEGER	Slider1_KnobH = 0					; size of knob picture hight
INTEGER	Slider1_OverWidth = 0				; additional width for fat fingers
INTEGER	Slider1_SlotW = 6					; slot width - black line with round ends
INTEGER	Slider1_Value		= 0				; Output parameter
; This vars can be changed by your slider init routine -----------------------------------------------------------------------------------------------------
INTEGER	Slider1_SliderNr = 1					; installs a hotspot with this tag
STRING[30]	Slider1_Label.$ = ''					; individual label at top and bottom
INTEGER	Slider1_X = 100					; ATTENTION: this is the slot x position
INTEGER	Slider1_Y = 80					; ATTENTION: this is the slot y position
INTEGER	Slider1_H = 300					; height of slot position
INTEGER	Slider1_I = 50					; initial value of knob position:		Slider1_Value_Min <= Slider1_I <= Slider1_Value_Max
INTEGER	Slider1_Value_Min	= 100				; min slider position
INTEGER	Slider1_Value_Max	= 250				; max slider position
INTEGER	Slider1_DecimalPlace = 0				; use 1 if your value 1000 is displayed as 100.0
STRING[10]	Slider1_Unit.$	= ' ms'			; give the values a unit: 
INTEGER	Slider1_KnobSize = 1					; choose between 4 sizes of your knob. ONLY one size for oll sliders
INTEGER	Slider1_SlotColor	= black			; color as named
INTEGER	Slider1_BGColor	= white			; color as named
INTEGER	Slider1_TextColor	= black			; color as named
INTEGER	Slider1_ScaleLine1	= black			; color as named
INTEGER	Slider1_ScaleLine2	= white			; color as named
INTEGER	Slider1_ValueActive	= red				; color as named
INTEGER	Slider1_ValueRef	= orange			; color as named
; Redraw a slider with a new position ------------------------------------------------------------------------------------------------------------------------
; Slider1_SliderNr 	= ...						; define the slider number to redraw
; Slider1_Value	= ..						; define the position of the knob
; CallSubroutine(Slider1.Redraw)					; use this subroutine to execute redrawing of the slider specified above


; S U B R O U T I N E N _______________________________________________________
SUB Slider1.Init
	IF Slider1_First == 1 THEN
		; init string arrays
		Slider1_UnitArray := ''
		Slider1_LabelArray := ''
		; Load knob picture
		IF Slider1_KnobSize == 1 THEN
			Str.Concat(Slider1_KnobPath.$,'W40H92.egi')
			Slider1_KnobW := 40;
			Slider1_KnobH := 92;
		ELSIF Slider1_KnobSize == 2 THEN
			Str.Concat(Slider1_KnobPath.$,'W50H115.egi')
			Slider1_KnobW := 50;
			Slider1_KnobH := 115;
		ELSIF Slider1_KnobSize == 3 THEN
			Str.Concat(Slider1_KnobPath.$,'W60H138.egi')
			Slider1_KnobW := 60;
			Slider1_KnobH := 138;
		ELSIF Slider1_KnobSize == 4 THEN
			Str.Concat(Slider1_KnobPath.$,'BLA76118.egi')
			Slider1_KnobW := 76;
			Slider1_KnobH := 118;
		ELSIF Slider1_KnobSize == 5 THEN
			Str.Concat(Slider1_KnobPath.$,'BLB76118.egi')
			Slider1_KnobW := 76;
			Slider1_KnobH := 118;
		ELSIF Slider1_KnobSize == 6 THEN
			Str.Concat(Slider1_KnobPath.$,'BLA42118.egi')
			Slider1_KnobW := 42;
			Slider1_KnobH := 118;
		ELSIF Slider1_KnobSize == 7 THEN
			Str.Concat(Slider1_KnobPath.$,'BLB42118.egi')
			Slider1_KnobW := 42;
			Slider1_KnobH := 118;
		ELSE
			Str.Concat(Slider1_KnobPath.$,'W30H69.egi')
			Slider1_KnobW := 30;
			Slider1_KnobH := 69;
		ENDIF
		Load.Geometry_XYWH(Slider1_InvisibleX,Slider1_InvisibleY,Slider1_KnobW,Slider1_KnobH)
		eI.FillColor := Slider1_BGColor ;eI.FillColor := transparent
		;EVE.Load_Transparence()
		Draw.RectangleFilled()
		File.Read_EGI(Slider1_KnobPath.$)
		;EVE.Process_Transparence()
		Slider1_First := 0
	ENDIF

	; Draw slider first time
	CallSubroutine(Slider1.SaveSliderData)
	Slider1_MouseY := Slider1_Y + Slider1_H - ((Slider1_I-Slider1_Value_Min) * Slider1_H / (Slider1_Value_Max-Slider1_Value_Min)) 		; init of slider position
	CallSubroutine(Slider1.GetPosition)

	; install HS
	eI.HotSpotTag := Slider1_SliderNr;
	HotSpot.Install(Slider1.Start,Slider1.Stop,Slider1.Start,Slider1.Stop)
	Timer.InstallLocal(Slider1_TimerNr,Slider1.Slide)
	Timer.Load(Slider1_TimerNr,Slider1_RefreshRate)

	CallSubroutine(Slider1.Draw)
	CallSubroutine(Slider1.CopyKnob)
	Slider1_Value := Slider1_I
	CallSubroutine(Slider1.DrawValue)

ENDSUB

SUB Slider1.SaveSliderData
	Slider1.Array[Slider1_SliderNr,0] := Slider1_X
	Slider1.Array[Slider1_SliderNr,1] := Slider1_Y
	Slider1.Array[Slider1_SliderNr,2] := Slider1_H
	Slider1.Array[Slider1_SliderNr,3] := Slider1_I
	Slider1.Array[Slider1_SliderNr,4] := Slider1_Value_Min
	Slider1.Array[Slider1_SliderNr,5] := Slider1_Value_Max
	Slider1.Array[Slider1_SliderNr,6] := Slider1_BGColor
	Slider1.Array[Slider1_SliderNr,7] := Slider1_DecimalPlace

	Str.Concat(Slider1_LabelArray,Slider1_Label.$)
	Str.Concat(Slider1_LabelArray,';')
	Str.Concat(Slider1_UnitArray,Slider1_Unit.$)
	Str.Concat(Slider1_UnitArray,';')
ENDSUB

SUB Slider1.LoadSliderData
	IF Slider1_SliderNrOld <> Slider1_SliderNr THEN

  		Slider1_X		:= Slider1.Array[Slider1_SliderNr,0]
  		Slider1_Y		:= Slider1.Array[Slider1_SliderNr,1]
  		Slider1_H		:= Slider1.Array[Slider1_SliderNr,2]
  		Slider1_I		:= Slider1.Array[Slider1_SliderNr,3]
  		Slider1_Value_Min	:= Slider1.Array[Slider1_SliderNr,4]
  		Slider1_Value_Max	:= Slider1.Array[Slider1_SliderNr,5]
		Slider1_BGColor	:= Slider1.Array[Slider1_SliderNr,6]
		Slider1_DecimalPlace	:= Slider1.Array[Slider1_SliderNr,7]
	IF Slider1_I < Slider1_Value_Min THEN
		Slider1_I := Slider1_Value_Min
	ENDIF

  		;CSV.Analyze_String(Slider1_LabelArray)
  		CSV.Get_String(Slider1_Label.$,Slider1_LabelArray,1,Slider1_SliderNr)
  		;CSV.Analyze_String(Slider1_UnitArray)
  		CSV.Get_String(Slider1_Unit.$,Slider1_UnitArray,1,Slider1_SliderNr)

		; compute max width of scale text with unit
		Fill.LabelParameter(Skala_Style)
		; for max value
		Slider1_Value.$ := ''
		Str.Cvt_IntegerDeci(Slider1_Value.$,Slider1_Value_Max,0,Slider1_DecimalPlace)
		Str.Concat(Slider1_Value.$,Slider1_Unit.$)
		Label.StringWidth(Slider1_ScaleWidthMax,Slider1_Value.$)
		; for min value
		Slider1_Value.$ := ''
		Str.Cvt_IntegerDeci(Slider1_Value.$,Slider1_Value_Min,0,Slider1_DecimalPlace)
		Str.Concat(Slider1_Value.$,Slider1_Unit.$)
		Label.StringWidth(Slider1_ScaleWidthMin,Slider1_Value.$)
		; take the bigger
		IF Slider1_ScaleWidthMin > Slider1_ScaleWidthMax THEN
			Slider1_ScaleWidth := Slider1_ScaleWidthMin
		ELSE
			Slider1_ScaleWidth := Slider1_ScaleWidthMax
		ENDIF
  	ENDIF
	eI.Pos_X1 := Slider1_X -Slider1_OverWidth
	eI.Pos_Y1 := Slider1_Y - Slider1_KnobH/2
	eI.Width := Slider1_KnobW + 2*Slider1_OverWidth
	eI.Height:= Slider1_H + Slider1_KnobH
ENDSUB

SUB Slider1.Draw

	; ref background = HotSpot
	eI.FillColor := Slider1_BGColor
	eI.Pos_X1 := eI.Pos_X1 - Slider1_ScaleWidth
  	eI.Width  := eI.Width  + Slider1_ScaleWidth
	Draw.RectangleFilled()

	;draw inner
	eI.Radius:= Slider1_SlotW/2
	eI.FillColor := Slider1_SlotColor
	eI.Pos_X1 := Slider1_X + (Slider1_KnobW / 2)
	eI.Pos_Y1 := Slider1_Y
	Draw.CircleFilled()
	eI.Pos_Y1 := Slider1_Y + Slider1_H
	Draw.CircleFilled()
	; flill space between
	eI.Pos_X1 := Slider1_X + Slider1_KnobW/2 - Slider1_SlotW/2
	eI.Pos_Y1 := Slider1_Y
	eI.Width  := Slider1_SlotW
	eI.Height := Slider1_H
	Draw.RectangleFilled()

; --- Skala ---
	; 100% line
	eI.Pos_X1 := Slider1_X + Slider1_KnobW/2 - Slider1_SlotW
	eI.Pos_X2 := Slider1_X
	eI.Pos_Y1 := Slider1_Y
	eI.Pos_Y2 := eI.Pos_Y1
	eI.LineColor := Slider1_ScaleLine1
	Draw.Line()
	eI.Pos_Y1 := eI.Pos_Y1 +1
	eI.Pos_Y2 := eI.Pos_Y1
	eI.LineColor := Slider1_ScaleLine2
	Draw.Line()
	;Fill.LabelParameter(Skala_Style)
	;eI.Pos_X1 := Slider1_X
	; check if value max visible
	Slider1_TestA := Slider1_Y  - (1*Slider1_KnobH/4)
	IF Slider1_TestB > Slider1_TestA THEN
		Fill.LabelParameter(Skala_Style)
		eI.TextColor := Slider1_ValueRef
		eI.Pos_X1 := Slider1_X
		Slider1_Value.$ := ''
		Str.Cvt_IntegerDeci(Slider1_Value.$,Slider1_Value_Max,0,Slider1_DecimalPlace)
		Str.Concat(Slider1_Value.$,Slider1_Unit.$)
		Label.Text(Slider1_Value.$)
		; Draw slider label
		eI.Pos_X1 := Slider1_X - Slider1_ScaleWidth
		eI.Pos_X2 := eI.Pos_X1 + Slider1_KnobW + 2*Slider1_OverWidth + Slider1_ScaleWidth
		eI.Pos_X1 := (eI.Pos_X1 + eI.Pos_X2) / 2
		eI.Pos_Y1 := eI.Pos_Y1 - Slider1_KnobW + 2		; Font height 
		eI.Position := Pos_center
		eI.TextColor := Slider1_TextColor
		;eI.Pos_Y1 := Slider1_Y - Slider1_KnobH/3
		Label.Text(Slider1_Label.$)
		
	ENDIF

	; 50% line
	eI.Pos_X1 := Slider1_X + Slider1_KnobW/2 - Slider1_SlotW
	eI.Pos_X2 := Slider1_X
	eI.Pos_Y1 := Slider1_Y + Slider1_H/2
	eI.Pos_Y2 := eI.Pos_Y1
	eI.LineColor := Slider1_ScaleLine1
	Draw.Line()
	eI.Pos_Y1 := eI.Pos_Y1 +1
	eI.Pos_Y2 := eI.Pos_Y1
	eI.LineColor := Slider1_ScaleLine2
	Draw.Line()
	; check if value 50% visible
	Slider1_TestA := Slider1_Y + (Slider1_H/2) - (3*Slider1_KnobH/4)
	IF Slider1_TestB < Slider1_TestA THEN
		Fill.LabelParameter(Skala_Style)
		eI.TextColor := Slider1_ValueRef
		eI.Pos_X1 := Slider1_X
		Slider1_Value.$ := ''
		Slider1_TestA := (Slider1_Value_Min + Slider1_Value_Max)/2
		Str.Cvt_IntegerDeci(Slider1_Value.$,Slider1_TestA,0,Slider1_DecimalPlace)
		Str.Concat(Slider1_Value.$,Slider1_Unit.$)
		Label.Text(Slider1_Value.$)
	ENDIF
	Slider1_TestA := Slider1_Y + (Slider1_H/2) - (1*Slider1_KnobH/4)
	IF Slider1_TestB > Slider1_TestA THEN
		Fill.LabelParameter(Skala_Style)
		eI.TextColor := Slider1_ValueRef
		eI.Pos_X1 := Slider1_X
		Slider1_Value.$ := ''
		Slider1_TestA := (Slider1_Value_Min + Slider1_Value_Max)/2
		Str.Cvt_IntegerDeci(Slider1_Value.$,Slider1_TestA,0,Slider1_DecimalPlace)
		Str.Concat(Slider1_Value.$,Slider1_Unit.$)
		Label.Text(Slider1_Value.$)
	ENDIF
	; 0% line
	eI.Pos_X1 := Slider1_X + Slider1_KnobW/2 - Slider1_SlotW
	eI.Pos_X2 := Slider1_X
	eI.Pos_Y1 := Slider1_Y + Slider1_H
	eI.Pos_Y2 := eI.Pos_Y1
	eI.LineColor := Slider1_ScaleLine1
	Draw.Line()
	eI.Pos_Y1 := eI.Pos_Y1 +1
	eI.Pos_Y2 := eI.Pos_Y1
	eI.LineColor := Slider1_ScaleLine2
	Draw.Line()
	
	; check if value min visible
	Slider1_TestA := Slider1_Y + Slider1_H - (3*Slider1_KnobH/4)
	IF Slider1_TestB < Slider1_TestA THEN
		Fill.LabelParameter(Skala_Style)
		eI.TextColor := Slider1_ValueRef
		eI.Pos_X1 := Slider1_X
		Slider1_Value.$ := ''
		Str.Cvt_IntegerDeci(Slider1_Value.$,Slider1_Value_Min,0,Slider1_DecimalPlace)
		Str.Concat(Slider1_Value.$,Slider1_Unit.$)
		Label.Text(Slider1_Value.$)
		; Draw slider label
		eI.Pos_X1 := Slider1_X - Slider1_ScaleWidth
		eI.Pos_X2 := eI.Pos_X1 + Slider1_KnobW + 2*Slider1_OverWidth + Slider1_ScaleWidth
		eI.Pos_X1 := (eI.Pos_X1 + eI.Pos_X2) / 2
		eI.Pos_Y1 := Slider1_Y + Slider1_H + Slider1_KnobH/2 - 6		; Font height 
		eI.Position := Pos_center
		eI.TextColor := Slider1_TextColor
		;eI.Pos_Y1 := Slider1_Y - Slider1_KnobH/3
		Label.Text(Slider1_Label.$)
	ENDIF
ENDSUB

SUB Slider1.Slide
	IF eI.Mouse_Y <> Slider1_MouseY THEN	; Redraw only if slider has really moved
	;Buzzer.Click()
	Display.Prepare()
	Slider1_SliderNr := eI.HS_Tag
	Slider1_MouseY := eI.Mouse_Y
	CallSubroutine(Slider1.LoadSliderData)
	CallSubroutine(Slider1.GetPosition)
	CallSubroutine(Slider1.Draw)
	CallSubroutine(Slider1.GetPosition)
	CallSubroutine(Slider1.CopyKnob)
	CallSubroutine(Slider1.DrawValue)
	Display.Show()
	Slider1_SliderNrOld := Slider1_SliderNr
	CallBack  (Slider1.CALLBACK.L )
	ENDIF
ENDSUB

SUB Slider1.Redraw
	;Buzzer.Click()
	Display.Prepare()
	Slider1_SliderNrOld := 0
	CallSubroutine(Slider1.LoadSliderData)
	Slider1_MouseY := Slider1_Y + Slider1_H - ((Slider1_Value-Slider1_Value_Min) * Slider1_H / (Slider1_Value_Max-Slider1_Value_Min)) 		; init of slider position
	Slider1_TestB:= Slider1_MouseY - Slider1_KnobH/2
	CallSubroutine(Slider1.Draw)
	CallSubroutine(Slider1.CopyKnob)
	CallSubroutine(Slider1.DrawValue)
	Slider1_SliderNrOld := 0
	Display.Show()
	CallBack(Slider1.CALLBACK.L)
ENDSUB

SUB Slider1.GetPosition
	CallSubroutine(Slider1.LoadSliderData)
	Slider1_TestB := Slider1_MouseY
	; check range min
	Slider1_TestA := Slider1_Y
	IF Slider1_TestB < Slider1_TestA THEN
		Slider1_TestB := Slider1_TestA
	ELSE
		; check range max
		Slider1_TestA := Slider1_Y + Slider1_H
		IF Slider1_TestB > Slider1_TestA THEN
			Slider1_TestB := Slider1_TestA
		ENDIF
	ENDIF
	Slider1_TestB:= Slider1_TestB - Slider1_KnobH/2
	Slider1_Value := Slider1_H - Slider1_TestB + Slider1_Y - Slider1_KnobH/2	; 0 .. Slider1_H
	Slider1_Value := (Slider1_Value_Max - Slider1_Value_Min) * Slider1_Value / Slider1_H + Slider1_Value_Min
ENDSUB

SUB Slider1.CopyKnob
	; Load Pos of Knop image
	Load.Geometry_XYWH(Slider1_InvisibleX,Slider1_InvisibleY,Slider1_KnobW,Slider1_KnobH)
	eI.Pos_X2 := Slider1_X
	eI.Pos_Y2 := Slider1_TestB
	Display.CopyWindow()
ENDSUB

SUB Slider1.Load.Knob.Pos
	Load.Geometry_XYWH(Slider1_InvisibleX,Slider1_InvisibleY,Slider1_KnobW,Slider1_KnobH)
ENDSUB

SUB Slider1.Start
	Timer.StartContinuous(Slider1_TimerNr)
ENDSUB
SUB Slider1.Stop
	Timer.Stop(Slider1_TimerNr)
ENDSUB

SUB Slider1.DrawValue
	; x% line
	eI.Pos_Y1 := Slider1_TestB + Slider1_KnobH/2 +1
	eI.Pos_X1 := Slider1_X
	Fill.LabelParameter(Skala_Style)
	eI.TextColor := Slider1_ValueActive
	eI.BackColor := Slider1_BGColor
	Slider1_Value.$ := ''
	Str.Cvt_IntegerDeci(Slider1_Value.$,Slider1_Value,0,Slider1_DecimalPlace)
	Str.Concat(Slider1_Value.$,Slider1_Unit.$)
	Label.Text(Slider1_Value.$)
ENDSUB
; S T Y L E S ___________________________________________________________________ 

SUB Slider1_Styles 

Slider1_Style: 
Skala_Style: 
	INLINEWORDS 	(no_change)		; entspricht eI.Pos_X1 
	INLINEWORDS 	(no_change)		; entspricht eI.Pos_Y1 
	INLINEWORDS 	(0)			; entspricht eI.Width 
	INLINEWORDS	(0)			; entspricht eI.Height 
	INLINEWORDS	(0)			; entspricht eI.SpaceLeft 
	INLINEWORDS	(0)			; entspricht eI.SpaceRight 
	INLINEWORDS	(0)			; entspricht eI.HorizontalAdjust 
	INLINEWORDS	(0)			; entspricht eI.VericalAdjust 
	INLINEWORDS	(transparent)		; entspricht eI.FillColor 
	INLINEWORDS	(transparent)		; entspricht eI.BackColor 
	INLINEWORDS	(transparent)		; entspricht eI.LineColor 
	INLINEWORDS	(black)		; entspricht eI.TextColor 
	INLINEWORDS	(Pos_right)		; entspricht eI.Position
	INLINEWORDS	(Orientation_0deg)	; entspricht eI.Orientation 
	INLINEWORDS	(normal)		; entspricht eI.Appearance 
	INLINEWORDS	(no_border)		; entspricht eI.BorderStyle 
	INLINEWORDS	(Font_System_9bd)	; entspricht eI.FontNumber 

ENDSUB
